[Pkg-samba-maint] r1872 - in trunk/tdb/debian: . patches

ctrlsoft-guest at alioth.debian.org ctrlsoft-guest at alioth.debian.org
Tue May 20 00:21:42 UTC 2008


Author: ctrlsoft-guest
Date: 2008-05-20 00:21:42 +0000 (Tue, 20 May 2008)
New Revision: 1872

Modified:
   trunk/tdb/debian/build-orig.sh
   trunk/tdb/debian/changelog
   trunk/tdb/debian/patches/series
   trunk/tdb/debian/rules
Log:
Support building from git rather than svn, build new snapshot.

Modified: trunk/tdb/debian/build-orig.sh
===================================================================
--- trunk/tdb/debian/build-orig.sh	2008-05-19 23:47:42 UTC (rev 1871)
+++ trunk/tdb/debian/build-orig.sh	2008-05-20 00:21:42 UTC (rev 1872)
@@ -1,18 +1,28 @@
-#!/bin/sh
-# Build a source tarball for tdb
+#!/bin/bash
+REFSPEC=$1
+GIT_URL=$2
+shift 2
 
-samba_repos=svn://svn.samba.org/samba/
-version=$( dpkg-parsechangelog -l`dirname $0`/changelog | sed -n 's/^Version: \(.*:\|\)//p' | sed 's/-[0-9.]\+$//' )
+if [ -z "$GIT_URL" ]; then
+	GIT_URL=git://git.samba.org/samba.git
+fi
 
-if echo $version | grep svn > /dev/null; then
-	# SVN Snapshot
-	revno=`echo $version | sed 's/^[0-9.]\+~svn//'`
-	svn export -r$revno $samba_repos/branches/SAMBA_4_0/source/lib/tdb tdb-$version
-	svn export -r$revno $samba_repos/branches/SAMBA_4_0/source/lib/replace tdb-$version/libreplace
-else
-	# Release
-	svn export $samba_repos/tags/TDB_`echo $version | sed 's/\./_/g'` tdb-$version
+if [ -z "$REFSPEC" ]; then
+	REFSPEC=origin/v4-0-test
 fi
 
-cd tdb-$version && ./autogen.sh && cd ..
-tar cvz tdb-$version > tdb_$version.orig.tar.gz
+TDBTMP=$TMPDIR/$RANDOM.tdb.git
+version=$( dpkg-parsechangelog -l`dirname $0`/changelog | sed -n 's/^Version: \(.*:\|\)//p' | sed 's/-[0-9.]\+$//' )
+git clone --depth 1 -l $GIT_URL $TDBTMP
+if [ ! -z "$REFSPEC" ]; then
+	pushd $TDBTMP
+	git checkout $REFSPEC || exit 1
+	popd
+fi
+
+mv $TDBTMP/source/lib/tdb "tdb-$version"
+mv $TDBTMP/source/lib/replace "tdb-$version/libreplace"
+rm -rf $TDBTMP
+pushd "tdb-$version" && ./autogen.sh && popd
+tar cvz "tdb-$version" > "tdb_$version.orig.tar.gz"
+rm -rf "tdb-$version"

Modified: trunk/tdb/debian/changelog
===================================================================
--- trunk/tdb/debian/changelog	2008-05-19 23:47:42 UTC (rev 1871)
+++ trunk/tdb/debian/changelog	2008-05-20 00:21:42 UTC (rev 1872)
@@ -1,3 +1,9 @@
+tdb (1.1.2~git20080520-1) unstable; urgency=low
+
+  * New upstream snapshot.
+
+ -- Jelmer Vernooij <jelmer at samba.org>  Tue, 20 May 2008 01:52:37 +0200
+
 tdb (1.1.1~svn26294-2) unstable; urgency=low
 
   * Add patch to clear spinlocks if set and opening a TDB in write mode. 

Modified: trunk/tdb/debian/patches/series
===================================================================
--- trunk/tdb/debian/patches/series	2008-05-19 23:47:42 UTC (rev 1871)
+++ trunk/tdb/debian/patches/series	2008-05-20 00:21:42 UTC (rev 1872)
@@ -1,2 +1 @@
-20_clear_spinlocks.diff
 10_include_signalh.diff

Modified: trunk/tdb/debian/rules
===================================================================
--- trunk/tdb/debian/rules	2008-05-19 23:47:42 UTC (rev 1871)
+++ trunk/tdb/debian/rules	2008-05-20 00:21:42 UTC (rev 1872)
@@ -21,7 +21,7 @@
 build: configure build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE) all build-python
+	$(MAKE) all 
 	touch build-stamp
 
 clean: clean-patched unpatch
@@ -30,17 +30,18 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
-	./setup.py clean
 	rm -rf build
 	dh_clean
 
+get-orig-source:
+	./debian/build-orig.sh
+
 install: build
 	dh_testdir
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
 	$(MAKE) install install-swig DESTDIR=$(DESTDIR)
-	./setup.py install --root=$(DESTDIR)
 	mv $(CURDIR)/debian/tmp/usr/bin/tdbbackup \
 		$(CURDIR)/debian/tmp/usr/bin/tdbbackup.tdbtools
 	ln -s libtdb.so.1.1.1 $(DESTDIR)/usr/lib/libtdb.so.1




More information about the Pkg-samba-maint mailing list